Package weka.core.pmml

# Enum Class FieldMetaInfo.Optype

java.lang.Object
java.lang.Enum<FieldMetaInfo.Optype>
weka.core.pmml.FieldMetaInfo.Optype

All Implemented Interfaces:
  `Serializable`, `Comparable<FieldMetaInfo.Optype>`, `Constable`

Enclosing class:
  `FieldMetaInfo`

public static enum FieldMetaInfo.Optype extends Enum<FieldMetaInfo.Optype>
Enumerated type for the Optype

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CATEGORICAL`
`CONTINUOUS`
`NONE`
`ORDINAL`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
`static FieldMetaInfo.Optype`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static FieldMetaInfo.Optype[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final FieldMetaInfo.Optype NONE

### CONTINUOUS

public static final FieldMetaInfo.Optype CONTINUOUS

### CATEGORICAL

public static final FieldMetaInfo.Optype CATEGORICAL

### ORDINAL

public static final FieldMetaInfo.Optype ORDINAL

## Method Details

### values

public static FieldMetaInfo.Optype[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static FieldMetaInfo.Optype valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### toString

public String toString()

Overrides:
  `toString` in class `Enum<FieldMetaInfo.Optype>`